Name:           rocksndiamonds
Version:        3.3.1.2
Release:        %mkrel 1
Summary:        A boulderdash like game
Group:          Games/Arcade
License:        GPLv2+
URL:            http://www.artsoft.org/rocksndiamonds/
Source0:        http://www.artsoft.org/RELEASES/unix/rocksndiamonds/%{name}-%{version}.tar.gz
Source1:        %{name}.16.png
Source2:        %{name}.32.png
Source3:        %{name}.48.png
Source4:        %{name}.desktop
Patch0:         rocksndiamonds-CVE-2011-4606.patch
Patch1:         rocksndiamonds-3.3.1.2-mga-games-data-and-save-paths.patch

BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_net)
BuildRequires:  smpeg-devel

%description
This is a nice little game with color graphics and sound for your
Unix system.

If you know the game "Boulderdash" (Commodore C64) or "Emerald Mine"
(Amiga) or "Supaplex" (PC), you know what "ROCKS'N'DIAMONDS" is about.

%prep
%setup -q
%apply_patches
# Fix manpage category (6 is for games)
sed -i -e 's/ROCKSNDIAMONDS 1L/ROCKSNDIAMONDS 6L/' %{name}.1

%build
%make sdl OPTIONS="%{optflags}"

%install
# Install stuff
install -D -m755 %{name} %{buildroot}%{_gamesbindir}/%{name}
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a graphics levels sounds music %{buildroot}%{_gamesdatadir}/%{name}
install -D -m644 %{name}.1 %{buildroot}%{_mandir}/man6/%{name}.6

# Install scores
install -d %{buildroot}%{_localstatedir}/%{_gamesdir}/%{name}/scores

# Menu
install -D -m644 %{_sourcedir}/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icon
for size in 16 32 48; do
  install -D -m644 %{_sourcedir}/%{name}.${size}.png \
          %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

%pre
if [ -d %{_gamesdatadir}/%{name}/scores ]; then
        mkdir -p %{_localstatedir}/%{_gamesdir}/%{name}/
        mv %{_gamesdatadir}/%{name}/scores %{_localstatedir}/%{_gamesdir}/%{name}/
fi

%files
%doc README ChangeLog COPYING
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*
%attr(0755,root,games) %{_localstatedir}/%{_gamesdir}/%{name}


%changelog
* Mon Jan 12 2015 akien <akien> 3.3.1.2-1.mga5
+ Revision: 810069
- Install icons in hicolor theme
- Put manpage in category 6 (games)
- Fix unused optflags
- Version 3.3.1.2

* Wed Oct 15 2014 umeabot <umeabot> 3.3.0.1-8.mga5
+ Revision: 738796
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.0.1-7.mga5
+ Revision: 688688
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.3.0.1-6.mga4
+ Revision: 518032
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.3.0.1-5.mga3
+ Revision: 380377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 3.3.0.1-4.mga3
+ Revision: 336081
- Fix BuildRequires to get x86_64 smpeg-devel on x86_64

* Mon Jul 30 2012 luigiwalser <luigiwalser> 3.3.0.1-3.mga3
+ Revision: 276236
- add patch from fedora to fix CVE-2011-4606

* Mon May 09 2011 ahmad <ahmad> 3.3.0.1-2.mga1
+ Revision: 96658
- Drop esound-devel BR; phasing esound from the distro
- Drop X11-devel BR, the necessary x11 devel packages are pulled by SDL-devel
- Drop alsa-lib-devel BR, already pulled by SDL_mixer-devel

* Sun Mar 13 2011 obgr_seneca <obgr_seneca> 3.3.0.1-1.mga1
+ Revision: 70712
- new version 3.3.0.1
- cleaned up spec
- removed buildroot tag
- moved desktop entry to separate file
- imported package rocksndiamonds


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.6.1-3mdv2011.0
+ Revision: 607369
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.6.1-2mdv2010.1
+ Revision: 523925
- rebuilt for 2010.1

* Tue Jun 30 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.6.1-1mdv2010.0
+ Revision: 391100
- update to new version 3.2.6.1

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 3.2.4-2mdv2009.1
+ Revision: 351557
- rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 3.2.4-1mdv2009.0
+ Revision: 218433
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.4-1mdv2008.1
+ Revision: 108339
- update to new version 3.2.4

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Apr 20 2007 Olivier Blin <oblin@mandriva.com> 3.2.3-1mdv2008.0
+ Revision: 15620
- 3.2.3
- Import rocksndiamonds



* Wed Aug 23 2006 Gtz Waschk <waschk@mandriva.org> 3.1.1-4mdv2007.0
- xdg menu
- fix buildrequires

* Sat Nov  5 2005 Olivier Blin <oblin@mandriva.com> 3.1.1-3mdk
- kill Patch0 (we already override options)
- specify game data dir in Makefile (#19627)
- kill wrapper script (the game now knows its data dir)
- specify game rw dir in Makefile (cleaner for scores)

* Mon Oct 17 2005 Olivier Blin <oblin@mandriva.com> 3.1.1-2mdk
- fix upgrade by moving scores to /var (#19213)

* Tue Oct 11 2005 Eskild Hustvedt <eskild@mandriva.org> 3.1.1-1mdk
- New version 3.1.1
- Renamed real executeable to .real
- Moved highscores to /var/games/rocksndiamonds
- A little cleanup

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.0-3mdk
- REbuild with new menu

* Thu Jul 08 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.1.0-2mdk
- fix buildrequires

* Thu Jul  8 2004 Michael Scherer <misc@mandrake.org> 3.1.0-1mdk
- New release 3.1.0

* Fri May 14 2004 Michael Scherer <misc@mandrake.org> 3.0.8-1mdk
- New release 3.0.8

* Thu Oct 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.0.6-1mdk
- 3.0.6
- cosmetics

* Thu Aug 28 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0.2-1mdk
- new version

* Wed Aug 13 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0.0-1mdk
- new version

* Mon Jul 21 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.0-11mdk
- rebuild
- convert xpm icons to png icons
- change summary macro to avoid possible conflicts if we were to build debug package

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-10mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-9mdk
- Automated rebuild with gcc3.2

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-8mdk
- recompile against new vorbis stuff

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-7mdk
- rebuild for new alsa

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.0-6mdk
- BuildRequires

* Fri Oct 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-5mdk
- rebuild for libpng3
- fix large-icon-not-in-package
- include man page

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-4mdk
- rebuild

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-3mdk
- revert Dadouification
- new SDL

* Sat Mar 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.0-2mdk
- PPC: build with gcc

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-1mdk
- 2.0.0 (many new goodies, including networked multiplayer)

* Sun Nov 05 2000 David BAUDENS <baudens@mandrakesoft.com> 1.4.0-5mdk
- Fix build for PPC

* Thu Oct 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-4mdk
- fix compile with gcc-2.96

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.0-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-1mdk
- first package for Linux-Mandrake
